perf test: test_intel_pt.sh: Add cleanup function

Add a cleanup function that will still clean up if the script is
terminated prematurely.

Signed-off-by: Adrian Hunter <adrian.hunter@intel.com>
Acked-by: Namhyung Kim <namhyung@kernel.org>
Cc: Ian Rogers <irogers@google.com>
Cc: Jiri Olsa <jolsa@kernel.org>
Link: https://lore.kernel.org/r/20220912083412.7058-2-adrian.hunter@intel.com
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
This commit is contained in:
Adrian Hunter 2022-09-12 11:34:02 +03:00 committed by Arnaldo Carvalho de Melo
parent 4627a000dc
commit 19af23df66

View File

@ -14,6 +14,21 @@ err_cnt=0
tmpfile=`mktemp`
perfdatafile=`mktemp`
cleanup()
{
trap - EXIT TERM INT
rm -f ${tmpfile}
rm -f ${perfdatafile}
}
trap_cleanup()
{
cleanup
exit 1
}
trap trap_cleanup EXIT TERM INT
can_cpu_wide()
{
perf record -o ${tmpfile} -B -N --no-bpf-event -e dummy:u -C $1 true 2>&1 >/dev/null || return 2
@ -57,8 +72,7 @@ test_system_wide_side_band
count_result $?
rm -f ${tmpfile}
rm -f ${perfdatafile}
cleanup
if [ ${err_cnt} -gt 0 ] ; then
exit 1